---
djangoconsensusapache2_oidc: false
djangoconsensusapache2_endpoint: https://192.168.10.145:8000
djangoconsensusapache2_id: 364626
djangoconsensusapache2_secret: f6fd0e45e79c77aae3d2c74117be55d31767c39c365c097c6f628ff9
djangoconsensusapache2_scope: openid read write
djangoconsensusapache2_response_type: code
djangoconsensusapache2_crypto_passphrase: random_2QuovNivSiWak
djangoconsensusapache2_redirect_uri: https://consensus.igalia.com/ok
djangoconsensusapache2_oauth2_ssl_validade_server: Off
djangoconsensusapache2_ssl_validade_server: Off
djangoconsensusapache2_session_inactivity_timeout: 300

djangoconsensusapache2_packages:
 - apache2
 - apache2-utils
 - ssl-cert
 - libapache2-mod-auth-openidc
 - libapache2-mod-proxy-uwsgi
 - libapache2-mod-rpaf

djangoconsensusapache2_virtual_port: 80
djangoconsensusapache2_virtual_port_ssl: 443
djangoconsensusapache2_virtual_host: '*:{{ djangoconsensusapache2_virtual_port }}'
djangoconsensusapache2_virtual_host_ssl: '*:{{ djangoconsensusapache2_virtual_port_ssl}}'

djangoconsensusapache2_server_name: consensus.gvatas.in
djangoconsensusapache2_server_admin: admin@gvatas.in

djangoconsensusapache2_django_consensus: /opt/django_consensus
djangoconsensusapache2_django_consensus_media: /opt/django_consensus/media
djangoconsensusapache2_django_consensus_static: /opt/django_consensus/static

# djangoconsensusapache2_upstream_django_consensus_server: 127.0.0.1:8001
djangoconsensusapache2_django_consensus_server: unix:/run/django_consensus.socket

djangoconsensusapache2_apache2_ssl: |
  SSLCertificateFile    /etc/ssl/certs/ssl-cert-snakeoil.pem
    SSLCertificateKeyFile /etc/ssl/private/ssl-cert-snakeoil.key
    RequestHeader set X_FORWARDED_PROTO 'https'
    RequestHeader set X-Forwarded-Ssl on

djangoconsensusapache2_apache2_server_custom: |
  Require valid-user all granted
      Order Deny,Allow
      Deny from all
      Allow from 192.168.0.0/16
      Allow from 127.0.0.0/8

djangoconsensusapache2_apache2_admin_location_custom: |
  Require valid-user all granted
      Order Deny,Allow
      Deny from all
      Allow from 192.168.0.0/16
      Allow from 127.0.0.0/8
